Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007258OCamltools (ocaml{lex,yacc,dep,debug,...})public2016-05-14 17:192017-05-05 10:35
Reporterpboutill 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.03.0 
Target Version4.05.0 +dev/beta1/beta2/beta3/rc1Fixed in Version4.05.0 +dev/beta1/beta2/beta3/rc1 
Summary0007258: ocamldebug segfault on install_printer using module aliasing
DescriptionConsider the file install_printer.ml:
```
module type B =
  sig
    type t
    val print : Format.formatter -> t -> unit
  end

module Foo :
sig
  module Bar : B
end =
  struct
    module Bar : B =
      struct
        type t = int
        let print = Format.pp_print_int
      end
  end

module FooBar = Foo.Bar
```

```
$ ocamlc -c install_printer.ml
$ ocamlc -debug -o a.out install_printer.ml
$ ocamldebug a.out
(ocd) load_printer "install_printer.cmo"
File ./install_printer.cmo loaded
```

Now if you ```install_printer Install_printer.Foo.Bar.print``` everything is fine BUT
if you ```install_printer Install_printer.FooBar.print``` it segfault under MacOS and Debian with 4.02 and 4.03

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0017336)
xleroy (administrator)
2017-02-18 18:16

Tentative fix in commits [trunk b350002] and [4.05 b43beee], will be in release 4.05.
(0017769)
nbb (reporter)
2017-05-05 10:35

i saw i think the same bug with Lacaml printers:

directory ~/.opam/4.04.0+flambda/lib/lacaml

load_printer bigarray.cma
load_printer lacaml.cma


install_printer Lacaml.Io.pp_fmat segfaults while
install_printer Lacaml__io.pp_fmat works fine.

- Issue History
Date Modified Username Field Change
2016-05-14 17:19 pboutill New Issue
2016-09-07 17:07 shinwell Target Version => 4.05.0 +dev/beta1/beta2/beta3/rc1
2016-12-07 16:37 doligez Category OCaml tools (ocaml{lex,yacc,dep,browser,debug}) => OCaml tools (ocaml{lex,yacc,dep,debug})
2017-02-18 18:16 xleroy Note Added: 0017336
2017-02-18 18:16 xleroy Status new => resolved
2017-02-18 18:16 xleroy Resolution open => fixed
2017-02-18 18:16 xleroy Fixed in Version => 4.05.0 +dev/beta1/beta2/beta3/rc1
2017-02-23 16:45 doligez Category OCaml tools (ocaml{lex,yacc,dep,debug}) => tools (ocaml{lex,yacc,dep,debug,...})
2017-05-05 10:35 nbb Note Added: 0017769


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker